<?php

require '../../conexao/conexao.php';

function get_vendedores($codigo_filial)
{
    global $connection;
    $codigo_filial = $codigo_filial ? implode(',', array_map(function ($item) {
        return "'" . addslashes(trim($item)) . "'";
    }, explode(',', $codigo_filial))) : 'NULL';

    // Ajuste da consulta SQL para incluir o filtro com o valor do select de `codigo_filial`
    $query = "
    SELECT DISTINCT fun.nomefun AS nome_vendedor, fun.cdfun AS cod_vendedor, fun.cdcon 
              FROM FC08000 fun 
              WHERE fun.funativo = 'S'
			  AND fun.cdcon IN ($codigo_filial)
         GROUP BY fun.cdcon, fun.cdfun, fun.nomefun,fun.funativo
        order by fun.nomefun
    ";

    // Preparar a consulta
    $stmt = ibase_prepare($connection, $query);
    // Executar a consulta usando o valor do select `codigo_filial` para ambos os casos
    $result = ibase_execute($stmt);

    if ($result === false) {
        error_log('Erro na consulta: ' . ibase_errmsg());
        echo json_encode(['error' => 'Erro na consulta.']);
        exit;
    }

    // Converter o resultado para um array de vendedores
    $vendedores = [];
    while ($row = ibase_fetch_assoc($result)) {
        $row['NOME_VENDEDOR'] = mb_convert_encoding($row['NOME_VENDEDOR'], 'UTF-8', 'ISO-8859-1');
        $vendedores[] = $row; // Mantenha o array original
    }

    return $vendedores;
}

// Se a requisição for via AJAX, retornar os dados em JSON
if (isset($_POST['filial'])) {
    $filial = $_POST['filial'];
    $vendedores = get_vendedores($filial);

    // Retornar os vendedores como JSON
    header('Content-Type: application/json');
    echo json_encode($vendedores); // Corrigido para retornar os dados dos vendedores
    exit;
}
